import 'dart:async';

import 'package:flutter/services.dart';


const MethodChannel _channel = const MethodChannel(
    'com.suyun.app.io.flutter.plugin/driver');

class Driver {
  static Future<Map<dynamic, dynamic>> headersFromChannel() async {
    final Map<dynamic, dynamic> headersFromChannel = await _channel
        .invokeMethod('getHeaders');
    return headersFromChannel;
  }

  static Future<Map<dynamic, dynamic>> paramsFromChannel() async {
    final Map<dynamic, dynamic> paramsFromChannel = await _channel.invokeMethod(
        'getParams');
    return paramsFromChannel;
  }

  static void reportError(dynamic arguments) async {
    await _channel.invokeMethod('report', arguments);
  }
}
